The shop's products with SKUs, prices and inventory
GET
/api/public/v1/tik_tok_shop/products/catalogConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopCatalog
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/products/catalog" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| status | query | string | One of ALLDRAFTPENDINGFAILEDACTIVATESELLER_DEACTIVATEDPLATFORM_DEACTIVATEDFREEZEDELETED Default ACTIVATE |
| page_size | query | integer | Default 50 |
| page_token | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| nextPageToken | string, nullable | |
| products | array of object | |
| products[].[].createdAt | string (date-time), nullable | |
| products[].[].imageUrl | string, nullable | |
| products[].[].productId | string | |
| products[].[].skus | array of object | |
| products[].[].skus[].[].currency | string, nullable | |
| products[].[].skus[].[].imageUrl | string, nullable | |
| products[].[].skus[].[].inventory | integer, nullable | |
| products[].[].skus[].[].listPrice | string, nullable | |
| products[].[].skus[].[].salePrice | string, nullable | |
| products[].[].skus[].[].sellerSku | string, nullable | |
| products[].[].skus[].[].skuId | string | |
| products[].[].skus[].[].status | string, nullable | |
| products[].[].skus[].[].taxExclusivePrice | string, nullable | |
| products[].[].skus[].[].warehouses | array of object | |
| products[].[].skus[].[].warehouses[].[].quantity | integer, nullable | |
| products[].[].skus[].[].warehouses[].[].warehouseId | string, nullable | |
| products[].[].status | string, nullable | |
| products[].[].title | string | |
| products[].[].updatedAt | string (date-time), nullable | |
| shopId | string | |
| totalCount | integer, nullable |
Example
{
"nextPageToken": "string",
"products": [
{
"createdAt": "2026-11-01T15:04:05Z",
"imageUrl": "https://example.com/p/1",
"productId": "string",
"skus": [
{
"currency": "usd",
"imageUrl": "https://example.com/p/1",
"inventory": 3,
"listPrice": "string",
"salePrice": "string",
"sellerSku": "string",
"skuId": "string",
"status": "string",
"taxExclusivePrice": "string",
"warehouses": [
null
]
}
],
"status": "string",
"title": "string",
"updatedAt": "2026-11-01T15:04:05Z"
}
],
"shopId": "string",
"totalCount": 3
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.